-- (C) Copyright International Business Machines Corporation 23 January 
-- 1990.  All Rights Reserved. 
--  
-- See the file USERAGREEMENT distributed with this software for full 
-- terms and conditions of use. 
ufilter_init: using (terminalio, rManager, sysRManager) definitions
-- initialization for filter between user and outside world

ufilter_init: callmessage(
  username: charstring, -- name of user
  terminal: terminalFunctions, -- direct access to terminal
  filteredterminal: terminalFunctions, -- indirect access to terminal
  resource: sysRManager, -- direct access to resource manager
  filteredresource: rManager, -- indirect access to resource manager
  quit: master_filterOut -- signal to quit
  )
  constant(username, terminal, resource)
  exit{full};
ufilter_initIn: inport of ufilter_init {full(username), full(terminal), full(resource)};
ufilter_initOut: outport of ufilter_initIn;

master_filter: callmessage(
  reason: charstring -- why is this process being killed
  )
  constant(reason)
  exit {full};
master_filterIn: inport of master_filter {full};
master_filterOut: outport of master_filterIn;

end definitions
